# Uses of Class
org.globus.ftp.Buffer

Packages that use Buffer
Package
Description
org.globus.ftp
org.globus.ftp.dc

## Uses of Buffer in org.globus.ftp

Methods in org.globus.ftp that return Buffer
Modifier and Type
Method
Description
`Buffer`
DataSource.`read()`
Reads a data buffer from this data source.
`Buffer`
DataSourceStream.`read()`
`Buffer`
FileRandomIO.`read()`
In this implementation, each read() returns data sequentially.
`Buffer`
OutputStreamDataSource.`read()`
Methods in org.globus.ftp with parameters of type Buffer
Modifier and Type
Method
Description
`void`
DataSink.`write(Buffer buffer)`
Writes the specified buffer to this data sink.
`void`
DataSinkStream.`write(Buffer buffer)`
`void`
FileRandomIO.`write(Buffer buffer)`
`void`
InputStreamDataSink.`write(Buffer buffer)`

## Uses of Buffer in org.globus.ftp.dc

Methods in org.globus.ftp.dc that return Buffer
Modifier and Type
Method
Description
`Buffer`
DataChannelReader.`read()`
`Buffer`
EBlockImageDCReader.`read()`
`Buffer`
StreamAsciiDCReader.`read()`
`Buffer`
StreamImageDCReader.`read()`
`Buffer`
AsciiTranslator.`translate(Buffer buffer)`
Methods in org.globus.ftp.dc with parameters of type Buffer
Modifier and Type
Method
Description
`Buffer`
AsciiTranslator.`translate(Buffer buffer)`
`void`
DataChannelWriter.`write(Buffer buffer)`
`void`
EBlockImageDCWriter.`write(Buffer buf)`
`void`
StreamAsciiDCWriter.`write(Buffer buffer)`
`void`
StreamImageDCWriter.`write(Buffer buf)`